Description

The TTCNS3 test TC_chan_rel_hard_clear_csfb does not pass, while TC_chan_rel_hard_clear does. The difference between the two
tests is minimal.

History

#1 - 03/20/2019 03:59 PM - dexter
- Status changed from New to In Progress

- % Done changed from 0 to 40

There seems to be a problem with the configuration of osmo-bsc. The log of the BSC complains about a missing EARFCN setting and that it therefore
can not indicate the CSFB fast return. And the testcase TC_chan_rel_hard_clear_csfb indeed calls f_expect_chan_rel() with is_csfb := true. So the
TTCNS test looks right, its the RSL CHANNEL RELEASE from the BSC that lacks an IE.

| have added an EARFCN to the configuration:
si2quater neighbor-list add earfcn 111 thresh-hi 20 thresh-lo 10 prio 3 grxlv 22 meas 3

This made the test pass, | think when we just add that line to the osmo-bsc.cfg in docker the problem should be fixed. However, we may into trouble

with that if the patches that add the feature are not already merged in latest. | will check if that is possible. Alternatively we have to add the EARFCN
from the testcase via VTY commands.

#2 - 03/21/2019 08:47 AM - dexter
- % Done changed from 40 to 90

| have checked back that the si2quater works with latest by looking up when the VTY command was added. | also gave it a quick test on a system
where latest is installed, so | expect no problems with ttcn3-bsc-test-latest. | have added the line now to the configuration:

https://gerrit.osmocom.org/#/c/docker-playground/+/13349 ttcn3-bsc-test: set EARFCN in osmo-bsc.cfg

#3 - 04/08/2019 09:03 AM - dexter
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100
